import 'package:fis_lib_media_rt/interface/capturer.dart';

import 'channel.dart';

/// 截图&录制器
abstract class BaseCapturer implements ICapturer {
  bool _isInit = false;
  bool _isRecording = false;
  int _frameWidth = 0;
  int _frameHeight = 0;

  BaseCapturer({required this.channel});

  /// 捕获的通道
  final BaseChannel channel;

  /// 捕获帧的宽度
  @override
  int get frameWidth => _frameWidth;
  set frameWidth(int val) => _frameWidth = val;

  /// 捕获帧的高度
  @override
  int get frameHeight => _frameHeight;
  set frameHeight(int val) => _frameHeight = val;

  /// 是否初始化完成
  @override
  bool get isInit => _isInit;
  set isInit(bool val) => _isInit = val;

  /// 是否正在录制
  @override
  bool get isRecording => _isRecording;
  set isRecording(bool val) => _isRecording = val;
}
